#pragma once

#include <ds/enum.h>

namespace dss::metering {

class MeteringSubsystem;
class Metering;

struct LastReading;

} // namespace dss::metering

DS_REFLECTED_ENUM((dss::metering), EnergyUnit, (Ws)(Wh));
DS_REFLECTED_ENUM((dss::metering), SeriesTypes, (power)(energy)(energyDelta));
DS_REFLECTED_ENUM((dss::metering), Category, (consumption)(production));
DS_REFLECTED_ENUM((dss::metering), MeteringSystem, (digitalStromMeter)(apartmentSummation)(openMeteringSystem)(modbusMeteringSystem));
