#pragma once

#include <ds-model/model-fwd.h>
#include <ds-model/scenarios-fwd.h>
#include <ds/asio/ds-signal.h>
#include <ds/asio/resource-fwd.h>
#include <event.h>

namespace dsBackend {

class SignalsSource : boost::noncopyable {
public:
  virtual ~SignalsSource() = default;

  virtual ds::Slots<dsModel::Signal>& next() = 0;
};
std::unique_ptr<SignalsSource> makeSignalsSource(ds::asio::ResourceBase&, dss::EventInterpreter&);

} // namespace dsBackend
