#pragma once

#include <string>

#include "ds-api/rest-fwd.h"
#include "model-ids.h"

namespace dsModel {

enum class ZoneActionId;
enum class LightsActionId;
enum class ShadesActionId;
enum class AudioActionId;
enum class VideoActionId;
enum class VentilationActionId;
enum class RecirculationActionId;
enum class DeviceActionId;
enum class CommonActionId;

struct TemperatureApplicationAttributes;
struct ApplicationId;
using Application = dsApi::VariantResourceData<dsModel::ApplicationId, dsModel::TemperatureApplicationAttributes>;

struct GroupStatus;

} // namespace dsModel
