/*
    Copyright (c) 2013 digitalSTROM.org, Zurich, Switzerland

    Authors: Andreas Fenkart, <andreas.fenkart@dev.digitalstrom.org>

    This file is part of digitalSTROM Server.

    digitalSTROM Server is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    digitalSTROM Server is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with digitalSTROM Server. If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef DSS_FWD_INCLUDED
#define DSS_FWD_INCLUDED

namespace dss {
  class Apartment;
  class Cluster;
  class Device;
  class DeviceReference;
  class DSMeter;
  class Event;
  class EventInterpreter;
  class EventInterpreterPlugin;
  class EventSink; // mockable base class of EventQueue
  class EventQueue;
  class EventRunner;
  class EventSubscription;
  class Group;
  class InternalEventRelayTarget;
  class Properties;
  class PropertyNode;
  class PropertySystem;
  class ScheduledEvent;
  class State;
  class Zone;
}

#endif
