#pragma once

#include <ds-model/model-fwd.h>
#include <ds-model/scenarios.h>

namespace dss {

struct DeviceData {
  std::vector<dsModel::DeviceScenario> scenarios;
  std::vector<dsModel::StateStatus> stateStatuses;
  std::vector<dsModel::State> states;
};

} // namespace dss

DS_JSON_DECLARE_STRUCT((dss), DeviceData, (scenarios)(stateStatuses)(states));
